BASENAME=scientificcomputing-script

pdf : $(BASENAME).pdf

$(BASENAME).pdf : $(BASENAME).tex
	export TEXMFOUTPUT=.; pdflatex -interaction=scrollmode $< | tee /dev/stderr | fgrep -q "Rerun to get cross-references right" && pdflatex -interaction=scrollmode $< || true

clean :
	rm -f *~  $(BASENAME).aux $(BASENAME).log $(BASENAME).out $(BASENAME).toc

cleanall : clean
	rm -f $(PDFFILE)

watch :
	while true; do ! make -q pdf && make pdf; sleep 0.5; done


